aim4.msg.i2v

## Enum I2VMessage.Type

- java.lang.Object
- - java.lang.Enum<I2VMessage.Type>
  - - aim4.msg.i2v.I2VMessage.Type

- All Implemented Interfaces:
    Serializable, Comparable<I2VMessage.Type>
  Enclosing class:
    I2VMessage

      public static enum I2VMessage.Type
      extends Enum<I2VMessage.Type>

  The different types of Intersection Manager to Vehicle messages.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACZ_CONFIRM` Message granting a request to enter the admission control zone.
    `ACZ_REJECT` Message rejecting a request to enter the admission control zone.
    `CONFIRM` Message confirming a reservation Request.
    `REJECT` Message rejecting a Request.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2VMessage.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static I2VMessage.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONFIRM

          public static final I2VMessage.Type CONFIRM

      Message confirming a reservation Request.

    - #### REJECT

          public static final I2VMessage.Type REJECT

      Message rejecting a Request.

    - #### ACZ_CONFIRM

          public static final I2VMessage.Type ACZ_CONFIRM

      Message granting a request to enter the admission control zone.

    - #### ACZ_REJECT

          public static final I2VMessage.Type ACZ_REJECT

      Message rejecting a request to enter the admission control zone.

  - ### Method Detail

    - #### values

          public static I2VMessage.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (I2VMessage.Type c : I2VMessage.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static I2VMessage.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013. All rights reserved.